Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006759TestLinkTest Executepublic2014-11-17 11:102014-12-31 14:22
Reporterirfanexpress 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006759: During 'delete execution' system fire 'DB Access Error - debug_print_backtrace() OUTPUT START'
DescriptionDuring 'delete execution' Testlink give a below error Message.
DB Access Error - debug_print_backtrace() OUTPUT START
Steps To Reproduce1. Go to Test Execution tab.
2. Select already executed Testcase.
3. Delete last execution from 'Execution history'

Note: TestLink delete selected execution but with below error Message.


DB Access Error - debug_print_backtrace() OUTPUT START
ATTENTION: Enabling more debug info will produce path disclosure weakness (CWE-200)
           Having this additional Information could be useful for reporting
           issue to development TEAM.
Additional InformationBelow error msg recorded in 'event viewer'

ERROR ON exec_query() - database.class.php
1054 - Unknown column 'id' in 'field list' - SELECT id FROM execution_tcsteps WHERE execution_id = 177739
THE MESSAGE : SELECT id FROM execution_tcsteps WHERE execution_id = 177739 Query failed: errorcode[1054] errormsg:Unknown column 'id' in 'field list'
TagsNo tags attached.
Database (MySQL,Postgres,etc)Mysql
BrowserGoogle Chrome
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0022174)
irfanexpress (reporter)
2014-11-17 11:17

In Config.inc.php "steps_exec" value set to false.
$tlCfg->exec_cfg->steps_exec = false;
(0022177)
fman (administrator)
2014-11-17 16:13

Please
1. get lastest code from gitorious (branch 1.9)
2. do fresh install on sandabox
3. retest
4. provide feedback
5. provide very detailed steps to reproduce (see on forum.testlink.org to understand mininum level of details needed to allow dev team to work)
(0022181)
fman (administrator)
2014-11-17 18:38

ATTENTION: check create script for execution_tcsteps table because schema has been changed
(0022236)
irfanexpress (reporter)
2014-11-21 09:24

Ya, I missed below database script
"ALTER TABLE /*prefix*/execution_tcsteps ADD id INT PRIMARY KEY AUTO_INCREMENT;"

Now is working fine..
Please close the defect.

- Issue History
Date Modified Username Field Change
2014-11-17 11:10 irfanexpress New Issue
2014-11-17 11:17 irfanexpress Note Added: 0022174
2014-11-17 16:13 fman Note Added: 0022177
2014-11-17 16:13 fman Assigned To => fman
2014-11-17 16:13 fman Status new => feedback
2014-11-17 18:38 fman Note Added: 0022181
2014-11-21 09:24 irfanexpress Note Added: 0022236
2014-11-21 09:24 irfanexpress Status feedback => assigned
2014-11-21 13:10 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-11-21 13:10 fman Status assigned => resolved
2014-11-21 13:10 fman Fixed in Version => 1.9.13 (2015 #1)
2014-11-21 13:10 fman Resolution open => fixed
2014-12-31 14:22 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker